Уязвимость в Linux Systemd позволяет получить полный доступ к устройству

В systemd 228 обнаружена опасная локальная уязвимость, которая позволяет непривилегированному атакующему выполнить код с правами суперпользователя.

Как выяснил исследователь безопасности Себастиан Крамер (Sebastian Krahmer), ранее известная проблема в systemd может быть проэсплуатирована не только для вызова отказа в обслуживании дистрибутива Linux, но и для получения полного доступа к системе.

Уязвимость в Linux Systemd позволяет получить полный доступ к устройству

Уязвимость вызвана тем, что при использовании таймеров systemd выполнение функции touch_file() приводит к созданию файлов в директории /run, /var/run и /var/lib/systemd/timers/ с правами 07777 (по ошибке передается значение «-1») и suid-битом. Проблема была выявлена в исходном коде systemd в ноябре 2015 года и исправлена в январе 2016 года с выпуском версии 229. Уязвимость затрагивает только systemd 228.

Год спустя при повторном исследовании Крамер обнаружил, что указанная проблема может быть использована для повышения привилегий до уровня суперпользователя. Уязвимость получила идентификатор CVE-2016-10156. По словам эксперта, в Сети доступен PoC-эксплоит, который может быть легко модифицирован для эксплуатации уязвимости. Для успешной атаки злоумышленнику необходимо иметь доступ к целевому устройству.

Источники:

lwn.net
securitylab.ru

Источник

Обсудить и заказать можно через форму ниже
Создание недорогих сайтов